Name:           javamail
Version:        1.5.2
Release:        10
Summary:        JavaMail API
License:        CDDL-1.0 or GPLv2 with exceptions
URL:            http://www.oracle.com/technetwork/java/javamail
BuildArch:      noarch
Source:         https://github.com/javaee/javamail/archive/JAVAMAIL-1_5_2.tar.gz
BuildRequires:  maven-local mvn(org.codehaus.mojo:build-helper-maven-plugin)
BuildRequires:  mvn(junit:junit) mvn(org.apache.maven.plugins:maven-source-plugin)
BuildRequires:  mvn(net.java:jvnet-parent:pom:) mvn(org.apache.maven.plugins:maven-enforcer-plugin)
BuildRequires:  mvn(org.apache.felix:maven-bundle-plugin) mvn(org.apache.maven.plugins:maven-dependency-plugin)
Provides:       javamail-monolithic = %{version}-%{release} javax.mail

%description
The JavaMail API provides a platform-independent and protocol-independent framework to build mail
and messaging applications. The JavaMail API is available as an optional package for use with the
Java SE platform and is also included in the Java EE platform.

%package        help
Summary:        API documentation for javamail.
Provides:       %{name}-javadoc = %{version}-%{release}
Obsoletes:      %{name}-javadoc < %{version}-%{release}

%description    help
The help for javamail to use.

%prep
%autosetup -n %{name}-JAVAMAIL-1_5_2 -p1

%pom_xpath_inject pom:project "<dependencies/>" mailapi
%pom_add_dep com.sun.mail:smtp:%{version}:provided mailapi
for dir in {smtp,pop3,imap,mailapijar}
do
    %pom_xpath_inject pom:project "<dependencies/>" ${dir}
    %pom_add_dep com.sun.mail:javax.mail:%{version}:provided ${dir}
done

%pom_xpath_remove /pom:project/pom:profiles
%pom_remove_plugin org.glassfish.hk2:osgiversion-maven-plugin
%pom_remove_dep javax.activation:activation
%pom_xpath_inject /pom:project/pom:properties "<mail.osgiversion>%{version}</mail.osgiversion>"
%pom_xpath_inject /pom:project/pom:build/pom:plugins/pom:plugin/pom:configuration/pom:instructions "<_nouses>true</_nouses>"

%mvn_alias com.sun.mail:mailapi javax.mail:mailapi
%mvn_alias com.sun.mail:javax.mail javax.mail:mail org.eclipse.jetty.orbit:javax.mail.glassfish
%mvn_file "com.sun.mail:{javax.mail}" %{name}/@1 %{name}/mail

%build
%mvn_build -- -Dmaven.test.failure.ignore=true

%install
%mvn_install

install -dm 0755 %{buildroot}%{_javadir}/javax.mail/
ln -sf ../%{name}/javax.mail.jar %{buildroot}%{_javadir}/javax.mail/

%files -f .mfiles
%doc mail/src/main/{java/overview.html,resources/META-INF/LICENSE.txt}
%{_javadir}/javax.mail/

%files help -f .mfiles-javadoc

%changelog
* Sun Jan 19 2020 duyeyu<duyeyu@huawei.com> - 1.5.2-10
- modify Source path
* Sat Dec 21 2019 lijin Yang <yanglijin@huawei.com> - 1.5.2-9
- Package init

